Jump to content
Krysalidesign

Erreur 500 Avec Le Module De Mise À Jour 1-Click Upgrade Autoupgrade

Recommended Posts

Bonjour à tous,

 

J'ai actuellement un site qui tourne sur prestashop version 1.5.2.0 que je souhaite mettre à jour vers la dernière version de prestashop.

 

Pour cela, j'ai voulu utiliser le module gratuit 1-Click Upgrade AutoUpgrade.

 

Donc je l'installe, jusqu'ici ça va sauf que quand je veux configurer le module pour faire la sauvegarde et la mise à jour, j'obtiens une erreur 500.

 

Petite précision importante : je n'ai même pas le temps de lancer le processus, l'erreur survient dès que je veux accéder à la configuration du module.

 

Donc j'ai cherché et j'ai lu pas mal de post un peu partout mais rien qui semble correspondre au problème rencontré, en général les problèmes arrivent lors de l'exécution de la sauvegarde.

 

Si quelqu'un a déjà eu ce problème, merci de m'éclairer parce que là je ne trouve vraiment pas de solution :/

 

Si jamais vous avez aussi besoin de plus d'informations, n'hésitez pas à demander ;)

 

Merci d'avance

 

PS : Pour info, la réécriture d'url n'est pas active sur le site.

PPS : J'ai aussi essayé d'activer le mode développeur de prestashop pour qu'il m'affiche au moins une erreur mais il n'a rien donné du tout

Edited by Krysalidesign (see edit history)

Share this post


Link to post
Share on other sites

Bonjour,

 

Oui j'étais tombé dessus en cherchant.

 

Suite à cette lecture, j'ai fais ce qui était préconisé, à savoir activer le mode développeur pour comprendre l'erreur.

Malheureusement, aucune info supplémentaire ne s'affiche :/

 

J'ai toujours une bête erreur 500 sans plus de justification.

Share this post


Link to post
Share on other sites

Vous êtes héberger en mutualisé ou serveur dédié ?

Actuellement avez-vous accès au back office ?

Share this post


Link to post
Share on other sites

Re

 

Je suis hébergé en mutualisé, par contre je n'ai pas trop accès au back office.

 

Mais je peux contacter quelqu'un qui a les accès s'il faut.

Share this post


Link to post
Share on other sites

Bonjour

 

Vous n'êtes pas l'administrateur principal de votre site ou vous avez juste un  droit vendeur sur votre site ? dans ce cas vous ne pouvez pas faire des mises à jour si vous n'êtes pas supervisseur.

Share this post


Link to post
Share on other sites

En fait, ce n'est pas moi qui ai installé le site à la base et donc, pas réservé le nom de domaine et ce genre de chose non plus.

 

Par contre, j'ai bien un compte SuperAdmin que j'utilise lorsque je tente de faire la mise à jour. C'est pour ça que je n'ai pas l'impression que ça soit un problème de droit.

 

Merci pour votre intérêt à mon problème ;)

Share this post


Link to post
Share on other sites

Ok faites une réinitialisation du module 1 clic upgrade

et si vous avez accès au FTP faites :

 

dans config/defines.inc.php
define('_PS_MODE_DEV_', false); << mettez false à true >> define('_PS_MODE_DEV_', true);

Si c'est un problème d'interprétation d'un fichier vous verrez un message d'erreur. Copier Coller au moins la 1ere ligne.
Si le nom de votre dossier d'administration apparait remplacé le par des *****.
 

Share this post


Link to post
Share on other sites

Bonjour,

 

Alors, j'avais mis dans le fichier defines.inc.php le mode dev à true comme ceci :

 

post-1087077-0-08390700-1455869513_thumb.jpg

 

Suite au différents problèmes, j'ai complètement désinstallé le module donc, là pour le test, je l'ai remis et voilà ce que j'obtiens quand je tente d'accéder à la configuration du module (avant de lancer la moindre de tâche de maintenance) :

 

post-1087077-0-33239000-1456241473_thumb.jpg

 

Petite précision, j'ai eu cette erreur que la boutique soit en mode maintenance ou non.

 

Au cas où, voici la liste des modules utilisés sur cette boutique :

 

Affichage HTML simple
Aideaunet : Ventes flash et Promotions
Artichow
Bloc Mon compte
Bloc Partager sur Facebook
Bloc accueil decouvrez aussi
Bloc accueil meilleures ventes
Bloc accueil nouveautes
Bloc catégories
Bloc confidentialité des données clients
Bloc devises
Bloc informations clients
Bloc infos contact
Bloc langues
Bloc logo de paiement
Bloc magasins
Bloc newsletter
Bloc panier
Bloc recherche rapide
Bloc tags
Carrousel d'image (slider) pour votre page d'accueil
Chèque
Commandes et CA
Comptes clients
Détail produit
Flux RSS des produits
Google Chart
Google sitemap
Image Fix
Infobulles produit
Informations clients
Lettre d'informations
Meilleures catégories
Meilleurs clients
Meilleurs coupons de réduction
Meilleurs fournisseurs
Meilleurs produits
Menu Haut horizontal
Mots-clés
Newsletter
Pages introuvables
PayPal
PrestaShop XML Importer
Produits favoris
Produits phares sur la page d'accueil
Programme de fidélité
Quantités statistiques disponibles
Recherches de la boutique
Récupération des données statistiques
Répartition par transporteur
Sites affluents
Statistiques du catalogue
Tableau de bord statistiques
Virement bancaire
Visifire
Visites et visiteurs
Visiteurs en ligne
Western Union
XML/SWF Charts
footerLinksPerso
lienPromo
Équipement
Évaluation du catalogue
 
Merci encore pour votre aide
Edited by Krysalidesign (see edit history)

Share this post


Link to post
Share on other sites

Bonjour

 

Retélécharger le dernier module 1 click upgrade, possible que le téléchargement ne s'est pas fait correctement.

Ou lors du transfert vers le FTP, est-ce que vous avez activé la fenêtre des logs dans votre logiciel de FTP lors du transfert pour vérifier s'il y a pas un problème ?

Share this post


Link to post
Share on other sites

Re,

 

J'ai retenté en re-téléchargeant le module, j'ai essayé d'installer depuis l'admin de prestashop et via le ftp.

 

A chaque fois tout se passe apparemment bien mais pas moyen d'accéder à la configuration, j'ai toujours la même erreur :/

Share this post


Link to post
Share on other sites

Bon, il faudra vérifier les logs de votre hébergement, s'il y a des erreurs ou des problèmes de droit ou d'autorisation à des connexions extérieure.

Perso je ne vois pas qui dire de plus.

Share this post


Link to post
Share on other sites

Ok, je vais vérifier avec la personne qui gère l'hébergement.

 

Merci beaucoup pour vos réponses, je vais essayer d'avancer et si je trouve la solution je la noterais ici si ça peut dépanner quelqu'un d'autre.

Share this post


Link to post
Share on other sites

Bonjour,

Je viens de passer de la version 1.5.3.1 à la 1.6.1.4 avec le module 1-Click Upgrade. Tout s'est bien déroulé, aucun message d'erreur, j'ai accès au back-office mais ma boutique est indisponible:

 

500 Server Error
Oops, something went wrong. Try to refresh this page or feel free to contact us if the problem persists.

 

J'ai modifié le code "false" sur "true" dans le fichier "defines.inc.php" et j'ai maintenant un rapport (fichier joint) qui semble indiquer que le problème vient de mon thème.

 

Que devrais-je faire à présent ? J'ai voulu télécharger un thème gratuit pour voir. Il n'y a plus de thèmes gratuits ? Plus de thème Prestashop de base ? Je veux bien télécharger un thème payant mais est-ce que mon problème sera réglé pour autant ?

 

Qui pourrait me traduire la page d'erreur en français afin que je sache comment résoudre mon problème ?

 

Merci d'avance

 

Parvati

Share this post


Link to post
Share on other sites

Pas parvenu à insérer mon fichier joint. Le voici: [PrestaShopException]

Votre thème n'est pas disponible : "default". Veuillez vérifier le nom du répertoire du thème et ses permissions.

at line 259 in file classes/controller/FrontController.php

254.             Tools::redirect('index.php?controller=authentication'.($this->authRedirection ? '&back='.$this->authRedirection : ''));255.         }256. 257.         /* Theme is missing */258.         if (!is_dir(_PS_THEME_DIR_)) {259.             throw new PrestaShopException((sprintf(Tools::displayError('Current theme unavailable "%s". Please check your theme directory name and permissions.'), basename(rtrim(_PS_THEME_DIR_, '/\\')))));260.         }261. 262.         if (Configuration::get('PS_GEOLOCATION_ENABLED')) {263.             if (($new_default = $this->geolocationManagement($this->context->country)) && Validate::isLoadedObject($new_default)) {264.                 $this->context->country = $new_default;

Share this post


Link to post
Share on other sites

Re bonjour,

En suivant la recommandation en français (la seule que j'ai comprise) je suis allé vérifier le nom du thème qui étrangement était "default-bootstrap" que j'ai essayé de changer en "default". Au passage j'ai modifié les permissions du dossier que l'hébergeur avait modifié lui-même hier pour raisons de sécurité (ils avaient détectés des fichiers infectés et les avaient bloqués).

Je ne sais pas quelle opération à le mieux marché mais j'ai maintenant accès à mon site. C'est déjà TRES bien.

J'aimerais bien savoir si je dois prendre en compte le reste du message d'erreur. Et savoir aussi si je dois retourner mettre le code sur "false" dans le fichier "defines.inc.php"

Merci d'avance

Parvati

Share this post


Link to post
Share on other sites

Bonjour

 

Si vous n'avez plus ça : [PrestaShopException]

Votre thème n'est pas disponible : "default". Veuillez vérifier le nom du répertoire du thème et ses permissions.
at line 259 in file classes/controller/FrontController.php

 

c'est bon, les 3 autres lignes des 3 fichiers indiquer n'est qu'une résultante de l'erreur ci-dessus.

Habituer vous à créez des sujets pour votre site vos problèmes. Merci

Share this post


Link to post
Share on other sites

Re,

 

Après quelques tests, j'ai juste quelques précisions à apporter.

 

Quand on essaye de réinitialiser le module, celui-ci refuse de s'installer.

De plus, une fois qu'on a tenté de réinitialiser le module et qu'on veut le configurer (malgré l'erreur d'installation), on obtient une erreur qui dit que les droits sont insuffisants pour effectuer cette opération.

 

Au niveau du serveur, on dans le dossier du module, quand on installe le module, les droits ne sont pas les même que pour les autres modules déjà installés. Ici on a des droits :

- accès : 755

- propriétaire : 1002 2001 (au lieu de 1002 0)

 

Je ne sais pas si ça aide mais c'est histoire d'être le plus précis possible.

Share this post


Link to post
Share on other sites

Bonjour

 

En générale pour les dossiers 750 ou 755 et les fichiers 644 pour les droits, maintenant cela dépend aussi l'hébergeur qui peut demander 777 par exemple comme droit.

A voir avec l'hébergeur quel sont les droits utilisés. Cela peut aussi dépendre du panel de gestion exemple dans Plesk certains fichiers dossiers sont pris en main par le système.

Share this post


Link to post
Share on other sites

Bonjour à tous,

 

Après avoir checké ce qui se passe au niveau du serveur, on a finalement trouvé la solution.

 

En fait c'est tout bêtement une incompatibilité avec le module suivant :

PrestaShop XML Importer

 

Donc je l'ai désactivé et suite à ça, la mise à jour s'est, à priori, bien passé.

Share this post


Link to post
Share on other sites

j'ai essayé de supprimer et reinstaller en ftp le module autoupgrade mais ça n'a rien changé

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More